#!/bin/ksh
#-------------------------------------------------------------
# Skript zur automatischen Konfiguration einer Zielplattform
#-------------------------------------------------------------
TARGET=$1
echo "*****************************************************"
echo " Skript zur automatischen Konfiguration "
echo " Zielplattform ist: ---------------"
echo " --><$TARGET><--"
echo " ---------------"
echo " bitte berprfen sie die Ausgaben."
echo "*****************************************************"
if [ "$TARGET" == "test" ]; then
print " Zielsystem ist der Testraum mit Siteminderauthentifizierung($TARGET)"
elif [ "$TARGET" == "testfile" ]; then
print " Zielsystem ist der Testraum mit Fileauthentifizierung ($TARGET)"
elif [ "$TARGET" == "integration" ]; then
print " Zielsystem ist der Integrationsraum ($TARGET)"
elif [ "$TARGET" == "approval" ]; then
print " Zielsystem ist der Approvalraum ($TARGET)"
elif [ "$TARGET" == "production" ]; then
print " Zielsystem ist der Produktionsraum ($TARGET)"
else
print " '$TARGET' ist kein gltiges Zielsystem, bitte whlen Sie ein
gltiges Zielsystem aus!"
print " Beispiel:"
print " - .../~> ./configure test"
print " - .../~> ./configure testfile"
print " - .../~> ./configure integration"
print " - .../~> ./configure approval"
print " - .../~> ./configure production"
exit;
fi
cd ~

# grops
if [ -f grops/config/grops_login.config ]; then
mv grops/config/grops_login.config grops/config/grops_login.config."`date '+%Y-%m-%d_%H:%M'`"
fi

if [ -f grops/config/grops.properties ]; then
mv grops/config/grops.properties grops/config/grops.properties."`date '+%Y-%m-%d_%H:%M'`"
fi
if [ "$TARGET" == "testfile" ]; then
cp rollout/grops/grops.properties.file grops/config/grops.properties
else
cp rollout/grops/grops.properties.$TARGET grops/config/grops.properties
fi

if [ "$TARGET" == "testfile" ]; then
cp rollout/grops/grops_login.config.file grops/config/grops_login.config
TARGET="test"
print " Target property umgesetzt auf Testraum ($TARGET)"
else
cp rollout/grops/grops_login.config.siteminder grops/config/grops_login.config
fi

# wls
if [ -f WLserver10.var ]; then
mv WLserver10.var WLserver10.var."`date '+%Y-%m-%d_%H:%M'`"
fi
cp rollout/wls/WLserver10.var.$TARGET WLserver10.var

if [ -f config/config.xml ]; then
mv config/config.xml config/config.xml."`date '+%Y-%m-%d_%H:%M'`"
fi
cp rollout/wls/config.xml.$TARGET config/config.xml

if [ -f config/jdbc/test_toras20_clsanwt-jdbc.xml ]; then
mv config/jdbc/test_toras20_clsanwt-jdbc.xml config/jdbc/test_toras20_clsanwt-jdbc.xml."`date '+%Y-%m-%d_%H:%M'`"
fi
cp rollout/wls/jdbc/test_toras20_clsanwt-jdbc.xml.$TARGET config/jdbc/test_toras20_clsanwt-jdbc.xml

if [ -f config/jdbc/dbha11_gwb-jdbc.xml ]; then
mv config/jdbc/dbha11_gwb-jdbc.xml config/jdbc/dbha11_gwb-jdbc.xml."`date '+%Y-%m-%d_%H:%M'`"
fi
cp rollout/wls/jdbc/dbha11_gwb-jdbc.xml.$TARGET config/jdbc/dbha11_gwb-jdbc.xml

if [ -f config/jdbc/ZK-DB-6634-jdbc.xml ]; then
mv config/jdbc/ZK-DB-6634-jdbc.xml config/jdbc/ZK-DB-6634-jdbc.xml."`date '+%Y-%m-%d_%H:%M'`"
fi
cp rollout/wls/jdbc/ZK-DB-6634-jdbc.xml.$TARGET config/jdbc/ZK-DB-6634-jdbc.xml

# application
if [ -f applications/Export/sap.properties ]; then
mv applications/Export/sap.properties applications/Export/sap.properties."`date '+%Y-%m-%d_%H:%M'`"
fi
cp applications/Export/sap.properties.$TARGET applications/Export/sap.properties

if [ -f applications/Export/scheduledTasks.sh ]; then
mv applications/Export/scheduledTasks.sh applications/Export/scheduledTasks.sh."`date '+%Y-%m-%d_%H:%M'`"
fi
cp applications/Export/scheduledTasks.sh.$TARGET applications/Export/scheduledTasks.sh
dos2unix applications/Export/*.sh
chmod 777 applications/Export/*.sh


# Logverzeichnis und -dateien anlegen
mkdir -p logs/grops
mkdir -p logs/pdflog
mkdir -p logs/stdout_err
mkdir -p logs/wls
echo "******** E N D E Konfiguration ($TARGET)
************************************"
echo ""